summaryrefslogtreecommitdiff
path: root/functions/defaults.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel@debian.org>2009-02-08 13:25:44 +0100
committerDaniel Baumann <daniel@debian.org>2011-03-09 19:09:42 +0100
commit431a8208a3b5606d172e4fdef493023a59ba5a11 (patch)
treef26768d095a51f0f6f7ba771843b51f107a8d3be /functions/defaults.sh
parentef61a9d85f04625a4c15c4089c80205b9f8a8ddd (diff)
downloadlive-build-431a8208a3b5606d172e4fdef493023a59ba5a11.zip
live-build-431a8208a3b5606d172e4fdef493023a59ba5a11.tar.gz
Really correcting bootstrap default logic to not overwrite the 'copy' method.
Diffstat (limited to 'functions/defaults.sh')
-rwxr-xr-xfunctions/defaults.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/functions/defaults.sh b/functions/defaults.sh
index f686b73..d057602 100755
--- a/functions/defaults.sh
+++ b/functions/defaults.sh
@@ -85,7 +85,7 @@ Set_defaults ()
LH_APT_SECURE="${LH_APT_SECURE:-enabled}"
# Setting bootstrap program
- if [ -z "${LH_BOOTSTRAP}" ] || [ ! -x "${LH_BOOTSTRAP}" ] || [ "${LH_BOOTSTRAP}" != "copy" ]
+ if [ -z "${LH_BOOTSTRAP}" ] || ( [ ! -x "${LH_BOOTSTRAP}" ] && [ "${LH_BOOTSTRAP}" != "copy" ] )
then
if [ -x "/usr/sbin/debootstrap" ]
then